﻿@model BeerOverflow.Web.Models.StyleSearchModel

@{
    ViewData["Title"] = "ListStyles";
}

<h3 style="color:#b58900">List of all styles in our database</h3>
<br>

@if (User.Identity.IsAuthenticated)
{
    <h5>If you don`t see a style you like:</h5>
    <p>
        <a asp-controller="Style" asp-action="CreateStyle">Create New Style</a>
    </p>
}

<form>
    <label asp-for="Searcher">Search by style name:</label>
    <input asp-for="Searcher" />
    <div class="form-group">
        <input type="submit" value="Search" class="btn btn-primary" />
    </div>
</form>


<table class="table">
    <thead style="color:white">
        <tr>
            <th>
                Name
            </th>
        </tr>
    </thead>
    <tbody>
        @foreach (var item in Model.Styles)
        {
            <tr style="color:white">
                <td>
                    @Html.DisplayFor(modelItem => item.Name)
                </td>

                @if (User.Identity.IsAuthenticated)
                {
                    <td>
                        <a asp-action="DeleteStyle" asp-route-id="@item.Id">Delete</a>
                    </td>
                }

                <td>
                    <a asp-action="Details" asp-route-id="@item.Id">Details</a>
                </td>
            </tr>
        }
    </tbody>
</table>
